Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 143458 - using rotate option cause system halt by login out
Summary: using rotate option cause system halt by login out
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2004-12-21 02:54 UTC by Wei-Lun Chao
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-13 02:20:58 UTC


Attachments (Terms of Use)
x log file (deleted)
2004-12-24 06:45 UTC, Wei-Lun Chao
no flags Details

Description Wei-Lun Chao 2004-12-21 02:54:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-TW; rv:1.7.5)
Gecko/20041119 Firefox/1.0

Description of problem:
in the section of file xorg.conf
Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"
        VendorName  "Videocard vendor"
        BoardName   "NVIDIA GeForce 4 MX (generic)"
EndSection

adding:
        Option "rotate" "CCW"
and it works but makes system halt by login out
(ok by restart or shutdown)


Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12

How reproducible:
Sometimes

Steps to Reproduce:
1.add rotate option to xorg.conf
2.gnome session login
3.gnome session logout
    

Additional info:

Comment 1 Mike A. Harris 2004-12-22 14:42:19 UTC
Thanks for the report.  Can you please attach your X server log
and config file as individual uncompressed file attachments using
the bugzilla link below?

I also recommend filing this bug report in the X.org bugzilla,
located at http://bugs.freedesktop.org in the "xorg" component,
with the same file attachements, to maximize the number of
developers exposed to the issue, who might potentially be able
to investigate.  Once you report it to X.Org, if you paste the
URL here, we will also track the issue in the X.Org bugzilla
to hopefully speed up resolution of the matter.

Thanks in advance.

Comment 2 Mike A. Harris 2004-12-22 14:43:44 UTC
è¶æå«, one more thing..  Can you test the "vesa" driver to see if
this occurs there also?

Comment 4 Wei-Lun Chao 2004-12-24 06:45:44 UTC
Created attachment 109104 [details]
x log file

Comment 5 Wei-Lun Chao 2004-12-24 06:46:54 UTC
I have tested it again, and made my system halt again :(
I do see the session login screen again, and text cursor blinks, but
after touching the mouse or keyboard, everything stops.
There is no rotate effect by using vesa driver.
I have another linux box with via driver, and it rotates and logouts
well. There is also no rotate effect by using vesa driver.


Comment 6 Mike A. Harris 2005-02-01 02:03:26 UTC
The per-driver rotate options that some drivers have, are not
compatible with the RANDR extension.  You may need to disable
the RANDR extension if you need to use the driver rotation
options.

Please try this, and if you continue to experience problems, report
the issue in the X.Org bugzilla at http://bugs.freedesktop.org in
the "xorg" component.  Once you've filed your bug in the X.Org
bugzilla, paste the URL here, and Red Hat will track the issue
and review any fixes that become available for consideration in
future updates.

Thanks in advance.

Comment 7 Mike A. Harris 2005-02-01 02:04:57 UTC
Setting status to "NEEDINFO" and awaiting testing results of
comment #6 above, and upstream bug report URL for tracking.

Comment 8 Mike A. Harris 2005-02-01 02:05:32 UTC
Also, please try disabling DRI to see if that makes any difference.

Comment 9 Wei-Lun Chao 2005-02-02 03:27:50 UTC
The RANDR module was not loaded.
After disabling DRI, restart, login and logout, it
still halts at GDM login screen.


Comment 10 Mike A. Harris 2005-02-08 01:53:55 UTC
There is no RANDR module, so you wont find anything related to
RANDR manually being loaded in the xorg.conf file if that's what
you're looking at.

I do not remember the specific syntax to disable RANDR off the top
of my head, however you can find it either in the manpages or via
google search.

Once you've disabled RANDR correctly, your X server log file will
indicate that the extension is disabled.  Please update the report
once you've successfully disabled RANDR and tested the configuration.

Thanks in advance.


Setting status to "NEEDINFO", awaiting testing with RANDR disabled.


Comment 11 Mike A. Harris 2005-02-08 02:46:43 UTC
The following will disable RANDR, however I'm not sure if this
is in the xorg in FC3 or not, but you can try it nonetheless.
The xorg@freedesktop.org mailing list may be able to help you
further if this does not work.

        Section "Extensions"
            Option "Randr" "Disable"
        EndSection



Comment 13 Mike A. Harris 2005-03-22 17:21:41 UTC
Please update the report to respond to comment #10 and 11 so we can
proceed forward with this issue. 

Thanks in advance.

Comment 14 Wei-Lun Chao 2005-03-23 16:32:14 UTC
Thanks. But X reports error.
Syntax may be not right
for xorg in FC3.


Comment 15 Mike A. Harris 2005-04-11 02:27:34 UTC
Please report this issue in the X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component.  Once you've
filed your bug in the X.Org bugzilla, paste the URL here, and Red Hat
will track the issue and review any fixes that become available for
consideration in future updates.


Comment 16 Mike A. Harris 2005-04-11 02:30:11 UTC
Setting status to "NEEDINFO", awaiting upstream bug report URL
for tracking.

Comment 17 Wei-Lun Chao 2005-04-13 02:20:58 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=3004



Note You need to log in before you can comment on or make changes to this bug.